Wine公式に書かれているDebian用のダウンロード先がいつの間にか別の所に変わっていて、1.3のパッケージがあったので入れてみた。パッケージはDirectory listing | Wine (wine-unstable) packagesにある。インストールは自己責任でリポジトリは公開しないというようなことが書かれている。”(for Debian Sid)”とあるがsqueezeでも問題なくインストールできる。

とりあえず、wine-unstableだけインストールしてみる。

$ wget http://dev.carbon-project.org/debian/wine-unstable/wine-unstable_1.3.24-0.2_amd64.deb
$ sudo dpkg -i wine-unstable_1.3.24-0.2_amd64.deb
未選択パッケージ wine-unstable を選択しています。
(データベースを読み込んでいます ... 現在 127711 個のファイルとディレクトリがインストールされています。)
(wine-unstable_1.3.24-0.2_amd64.deb から) wine-unstable を展開しています...
dpkg: 依存関係の問題により wine-unstable の設定ができません:
 wine-unstable は以下に依存 (depends) します: wine-bin-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ wine-bin-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-alsa-unstable (= 1.3.24-0.2) | libwine-oss-unstable (= 1.3.24-0.2) | libwine-esd-unstable (= 1.3.24-0.2) | libwine-jack-unstable (= 1.3.24-0.2) | libwine-nas-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-alsa-unstable はまだインストールされていません。
  パッケージ libwine-oss-unstable はまだインストールされていません。
  パッケージ libwine-esd-unstable はまだインストールされていません。
  パッケージ libwine-jack-unstable はまだインストールされていません。
  パッケージ libwine-nas-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-gl-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-gl-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-print-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-print-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-sane-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-sane-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-cms-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-cms-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-gphoto2-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-gphoto2-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-ldap-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-ldap-unstable はまだインストールされていません。
 wine-unstable は以下に依存 (depends) します: libwine-openal-unstable (= 1.3.24-0.2) ...しかし:
  パッケージ libwine-openal-unstable はまだインストールされていません。
dpkg: wine-unstable の処理中にエラーが発生しました (--install):
 依存関係の問題 - 設定を見送ります
以下のパッケージの処理中にエラーが発生しました:
 wine-unstable

wine-bin-unstable,libwine-alsa-unstable(or libwine-oss-unstable or libwine-esd-unstable or libwine-jack-unstable or libwine-nas-unstable),libwine-gl-unstable,libwine-print-unstable,libwine-sane-unstable,libwine-cms-unstable, libwine-gphoto2-unstableに依存していて、置いてあるパッケージのほとんどを入れる必要があることが分かる。

まとめてダウンロードしてインストールする。

$ mkdir wine
$ cd wine
$ wget http://dev.carbon-project.org/debian/wine-unstable/{libwine-alsa-unstable_1.3.24-0.2_amd64.deb,libwine-bin-unstable_1.3.24-0.2_amd64.deb,libwine-capi-unstable_1.3.24-0.2_amd64.deb,libwine-cms-unstable_1.3.24-0.2_amd64.deb,libwine-dbg-unstable_1.3.24-0.2_amd64.deb,libwine-dev-unstable_1.3.24-0.2_amd64.deb,libwine-esd-unstable_1.3.24-0.2_amd64.deb,libwine-gl-unstable_1.3.24-0.2_amd64.deb,libwine-gphoto2-unstable_1.3.24-0.2_amd64.deb,libwine-jack-unstable_1.3.24-0.2_amd64.deb,libwine-ldap-unstable_1.3.24-0.2_amd64.deb,libwine-nas-unstable_1.3.24-0.2_amd64.deb,libwine-openal-unstable_1.3.24-0.2_amd64.deb,libwine-oss-unstable_1.3.24-0.2_amd64.deb,libwine-print-unstable_1.3.24-0.2_amd64.deb,libwine-sane-unstable_1.3.24-0.2_amd64.deb,libwine-unstable_1.3.24-0.2_amd64.deb,wine-bin-unstable_1.3.24-0.2_amd64.deb,wine-unstable_1.3.24-0.2_amd64.deb}
$ dpkg -i *.deb
以下のパッケージの処理中にエラーが発生しました:
 libwine-alsa-unstable
 libwine-bin-unstable
 libwine-capi-unstable
 libwine-cms-unstable
 libwine-dev-unstable
 libwine-esd-unstable
 libwine-gl-unstable
 libwine-gphoto2-unstable
 libwine-jack-unstable
 libwine-ldap-unstable
 libwine-nas-unstable
 libwine-openal-unstable
 libwine-oss-unstable
 libwine-print-unstable
 libwine-sane-unstable
 libwine-unstable
 wine-bin-unstable
 wine-unstable
 libwine-dbg-unstable

エラーが出るが、”aptitude -f install”を実行して依存関係を解決すればいい。1つ目の解決方法を無視して、2つ目を実行する。

$ sudo aptitude -f install
以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージを削除する:
1)      libwine-alsa-unstable
2)      libwine-bin-unstable
3)      libwine-capi-unstable
4)      libwine-cms-unstable
5)      libwine-dbg-unstable
6)      libwine-dev-unstable
7)      libwine-esd-unstable
8)      libwine-gl-unstable
9)      libwine-gphoto2-unstable
10)     libwine-jack-unstable
11)     libwine-ldap-unstable
12)     libwine-nas-unstable
13)     libwine-openal-unstable
14)     libwine-oss-unstable
15)     libwine-print-unstable
16)     libwine-sane-unstable
17)     libwine-unstable
18)     wine-bin-unstable
19)     wine-unstable

この解決方法を受け入れますか? [Y/n/q/?]n

以下のアクションでこれらの依存関係の問題は解決されます:

      以下のパッケージをインストールする:
1)      binutils [2.20.1-16 (stable)]
2)      gcc [4:4.4.5-1 (stable)]
3)      gcc-4.4 [4.4.5-8 (stable)]
4)      gcc-4.4-multilib [4.4.5-8 (stable)]
5)      gcc-multilib [4:4.4.5-1 (stable)]
6)      ia32-libs [20110609 (stable)]
7)      lib32asound2 [1.0.23-2.1 (stable)]
8)      lib32bz2-1.0 [1.0.5-6 (stable)]
9)      lib32gcc1 [1:4.4.5-8 (stable)]
10)     lib32gomp1 [4.4.5-8 (stable)]
11)     lib32ncurses5 [5.7+20100313-5 (stable)]
12)     lib32stdc++6 [4.4.5-8 (stable)]
13)     lib32v4l-0 [0.8.0-1 (stable)]
14)     lib32z1 [1:1.2.3.4.dfsg-3 (stable)]
15)     libc-dev-bin [2.11.2-10 (stable)]
16)     libc6-dev [2.11.2-10 (stable)]
17)     libc6-dev-i386 [2.11.2-10 (stable)]
18)     linux-libc-dev [2.6.32-35 (stable)]
19)     manpages-dev [3.27-1 (stable)]
20)     oss-compat [0.0.4+nmu3 (stable)]

この解決方法を受け入れますか? [Y/n/q/?]y

これでインストールは完了。次にwinetricksを入れる。

$ sudo wget http://winetricks.org/winetricks
$ sudo chmod +x winetricks
$ sudo mv winetricks /usr/local/bin/

おすすめ

関連記事


7月 12th, 2011

Posted In: ソフトウェア

タグ: , , ,

コメントを残す

メールアドレスが公開されることはありません。